#include<iostream>
using namespace std;
int main(){

long long l,m,n,a = 0,b = 0,i = 0;
cin>> l >> m >> n;

b = m;
while(b < l){
i = i + 1;
a = m + n*i;
b = b + a;
}

if(b > l){
cout<<i + 1;
}

if(b == l){
    cout<<i + 2;
}
}
